#!/usr/bin/make -f
SHELL:=/bin/bash

.PHONY: clean
clean:
	make clean
	dh_clean

.PHONY: binary
binary: binary-arch binary-indep

.PHONY: binary-indep
binary-indep:
	dh_gencontrol
	mkdir -pv debian/myxvfb/usr/share/doc/myxvfb
	gzip -9v <debian/changelog >debian/myxvfb/usr/share/doc/myxvfb/changelog.Debian.gz
	dh_builddeb
	dh_install

.PHONY: binary-arch
binary-arch:

.PHONY: build
build:

LEFTPAREN=(
RIGHTPAREN=)
VERSION=$(shell head -1 debian/changelog|sed -e 's/^.*$(LEFTPAREN)//g' -e 's/$(RIGHTPAREN).*$$//g')

.PHONY: debsrc
debsrc:
	[ -d target/srcdeb ] || mkdir -pv target/srcdeb
	rsync -vaH --delete --exclude-from=.gitignore --exclude=.git --exclude=.gitignore ./ target/srcdeb/
	cd .. && dpkg-source -b myxvfb/target/srcdeb
	dpkg-genchanges -S >../myxvfb_$(VERSION)_all.changes
	debsign -k$$(cat ../keyid.txt) ../myxvfb_$(VERSION)_all.changes

.PHONY: srcdeb
srcdeb: debsrc
